Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155474 - bogus cvs rpm requirments
Summary: bogus cvs rpm requirments
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: cvs
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-20 18:41 UTC by Christopher McCrory
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-09 09:12:50 UTC


Attachments (Terms of Use)

Description Christopher McCrory 2005-04-20 18:41:01 UTC
Description of problem:
the cvs rpm requires perl and tcsh

Version-Release number of selected component (if applicable):
cvs-1.11.2-25

How reproducible:
always

Steps to Reproduce:
1. not install tcsh (and/or perl)
2. rpm install cvs
3.
  
Actual results:
requires perl and tcsh

[deps: perl 2:5.8.0-89.10.i386]
[deps: tcsh 6.12-11.EL3.i386]

Expected results:
not needed

Additional info:
the cvs rpm ships sith some contrib scripts in /usr/share/cvs/contrib/

some are perl scripts, some are tcsh scripts.  These are not necessary no use
cvs as a client or server.

Comment 1 Martin Stransky 2005-04-22 11:56:31 UTC
How do you want to execute perl's scripts if you don't have perl?

Comment 2 Christopher McCrory 2005-04-25 20:26:09 UTC
The point is the /usr/share/cvs/contrib directory has _contrib_
sortware that is really not part of cvs proper.  the scripts that are
there most likely need to be modified for local use, moved to
somewhere in $PATH, and possibly might not work at all.


see: /usr/share/cvs/contrib/README

This "contrib" directory is a place holder for code/scripts sent to me
by contributors around the world.  This README file will be kept
up-to-date from release to release.  BUT, we must point out that these
contributions are really, REALLY UNSUPPORTED.  In fact, we probably
don't even know what some of them really do.  We certainly do not
guarantee to have tried them, or ported them to work with this CVS
distribution.


If someone knows enough about running a CVS repository to sucessfully
use these perl scripts, then they probably know enough to also install
perl.


>> How do you want to execute perl's scripts if you don't have perl?

for the other 99.999% of the people out there, they will not even use
them.  Let alone think to look outside their $PATH in
/usr/share/cvs/contrib


make sense?



/reopening so this gets through for a second thought.


 

Comment 3 Martin Stransky 2005-05-09 09:12:38 UTC
You are right, but you can install perl/tcsh as well as remove it. I
think it is better when everything works after default installation
than when it doesn't. 

The other issue is that we have a system for automatic dependencies
generation, so if I want to remove dependency to perl, I have to
remove all perls scripts. And this is what I don't want to do.


Note You need to log in before you can comment on or make changes to this bug.